Recommended update for libgcrypt

SUSE Recommended Update: Recommended update for libgcrypt
Announcement ID: SUSE-RU-2018:4167-1
Rating: moderate
References: #1117355
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise Module for Basesystem 15

An update that has one recommended fix can now be installed.

Description:

This update for libgcrypt fixes the following issues:

  • Fail selftests when checksum file is missing in FIPS mode only (bsc#1117355)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2018-2966=1
  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2966=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • libgcrypt-cavs-1.8.2-6.6.1
    • libgcrypt-cavs-debuginfo-1.8.2-6.6.1
    • libgcrypt-debugsource-1.8.2-6.6.1
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • libgcrypt-debugsource-1.8.2-6.6.1
    • libgcrypt-devel-1.8.2-6.6.1
    • libgcrypt-devel-debuginfo-1.8.2-6.6.1
    • libgcrypt20-1.8.2-6.6.1
    • libgcrypt20-debuginfo-1.8.2-6.6.1
    • libgcrypt20-hmac-1.8.2-6.6.1
  • SUSE Linux Enterprise Module for Basesystem 15 (x86_64):
    • libgcrypt20-32bit-1.8.2-6.6.1
    • libgcrypt20-32bit-debuginfo-1.8.2-6.6.1
    • libgcrypt20-hmac-32bit-1.8.2-6.6.1

References: